Skip to content

Create Task ideogram-ai/ideogram-v2-turbo

POST https://www.kkiai.com/replicate/v1/models/ideogram-ai/ideogram-v2-turbo/predictions

Official documentation: https://replicate.com/ideogram-ai/ideogram-v2-turbo

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
inputobjectOptional
  └ promptstringRequiredText prompt for image generation.
  └ resolutionstringOptionalResolution. Overrides aspect ratio. Ignored if inpainting image is specified. Default: "None".
  └ style_typestringOptionalStyle helps define the specific aesthetic of the image you want to generate. Default: "None".
  └ aspect_ratiostringOptionalAspect ratio. Ignored if resolution or inpainting image is specified. Default: "1:1".
  └ magic_prompt_optionstringOptionalMagic Prompt interprets and optimizes your prompt to maximize the diversity and quality of generated images. You can also use it to write prompts in different languages. Default: "Auto".

Request Example

json
{
    "input": {
      "prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
      "resolution": "None",
      "style_type": "None",
      "aspect_ratio": "1:1",
      "magic_prompt_option": "Auto"
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/ideogram-ai/ideogram-v2-turbo/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
      "resolution": "None",
      "style_type": "None",
      "aspect_ratio": "1:1",
      "magic_prompt_option": "Auto"
    }
  }'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "2jycc2v9nnrmc0crap5tv5zaxr",
    "model": "ideogram-ai/ideogram-v2-turbo",
    "version": "hidden",
    "input": {
        "aspect_ratio": "1:1",
        "magic_prompt_option": "Auto",
        "prompt": "An illustration of a gold running shoe with the text \"Run AI with an API\" written on the shoe. The shoe is placed on a pink background. The text is white and bold. The overall image has a modern and techy vibe, with elements of speed.",
        "resolution": "None",
        "style_type": "None"
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-29T09:37:36.685Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/2jycc2v9nnrmc0crap5tv5zaxr/cancel",
        "get": "https://api.replicate.com/v1/predictions/2jycc2v9nnrmc0crap5tv5zaxr",
        "stream": "https://stream.replicate.com/v1/files/bcwr-irvir7a5lzv2z6pja5hol5cy36lt5jekok743kcmbfu4gtvpv7vq",
        "web": "https://replicate.com/p/2jycc2v9nnrmc0crap5tv5zaxr"
    }
}